Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## be.fgov.ehealth.standards.kmehr.cd.v1
Enum CDENCRYPTIONMETHODschemes

    java.lang.Object
      java.lang.Enum<CDENCRYPTIONMETHODschemes>
          be.fgov.ehealth.standards.kmehr.cd.v1.CDENCRYPTIONMETHODschemes

All Implemented Interfaces:
  Serializable, Comparable<CDENCRYPTIONMETHODschemes>

    public enum CDENCRYPTIONMETHODschemes

extends Enum<CDENCRYPTIONMETHODschemes>

Java class for CD-ENCRYPTION-METHODschemes.

The following schema fragment specifies the expected content contained within this class.

     <simpleType name="CD-ENCRYPTION-METHODschemes">
       <restriction base="{http://www.w3.org/2001/XMLSchema}string">
         <enumeration value="CD-ENCRYPTION-METHOD"/>
       </restriction>
     </simpleType>

Enum Constant Summary
`CD_ENCRYPTION_METHOD`

Method Summary
`static CDENCRYPTIONMETHODschemes` | `fromValue(String v)`
`String` | `value()`
`static CDENCRYPTIONMETHODschemes` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CDENCRYPTIONMETHODschemes[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CD_ENCRYPTION_METHOD

    public static final CDENCRYPTIONMETHODschemes CD_ENCRYPTION_METHOD

Method Detail

### values

    public static CDENCRYPTIONMETHODschemes[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (CDENCRYPTIONMETHODschemes c : CDENCRYPTIONMETHODschemes.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static CDENCRYPTIONMETHODschemes valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### value

    public String value()

### fromValue

    public static CDENCRYPTIONMETHODschemes fromValue(String v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.27.0 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.